<!DOCTYPE html>
<html>
<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" />
  <!-- Popper Development version -->
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <!-- Import DataTable Library -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <!-- Import Datatable sau jquery -->
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>
<body onload="onPageLoading()"></body>
<script>
    function onPageLoading() {
        let Arr1 = [1, 2, 3];
        let Arr2 = [100, 2, 1, 10];
        let ArrPlus = Arr1.concat(Arr2);

        let Arr3 = [1, 2, 3];
        let Arr4 = [1, 2, 3];
        let ArrPlus1 = Arr3.concat(Arr4);
        
        function getUnique(array) {
            var l = array.length,
                i, j,
                unique = [];
            for (i = 0; i < l; i++) {
                for (j = 0; j < l; j++) {
                    if (i === j) {
                        continue;
                    }
                    if (array[i] === array[j]) {
                        break;
                    }
                }
                if (j === l) {
                    unique.push(array[i]);
                }
            }
            return unique;
        }
        console.log(getUnique(ArrPlus));
        console.log(getUnique(ArrPlus1));
    }
</script>
</html>